Subject: Re: CPPCheck found 24 high risk bugs in Git v.1.8.3.4

From: Junio C Hamano <[email-masked]>
Date: Tue, 20 Aug 2013 16:45:10 -0700

Andreas Schwab <[email-masked]> writes:

> Erik Faye-Lund <[email-masked]> writes:
>
>> I don't see how it's undefined. It's using the memory that 'pos'
>> *points to* that is undefined, no? The difference between 'pos' and
>> 'str' should still be the same, it's not like realloc somehow
>> magically updates 'pos'...
>
> It does.  Think of segmented architectures, where freeing a pointer
> invalidates its segment, so that even loading the value of the pointer
> traps.  Probably no such architecture is in use any more, though.

I love seeing that we have somebody who knows and can explain these
dark corners of ANSI C standard ;-)